package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 规则详情对象 act_supplies_role_detail
 * 
 * @author dongjg
 * @date 2023-07-12
 */
public class ActSuppliesRoleDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 规则详情ID */
    private Integer id;

    /** 导入规则ID */
    @Excel(name = "导入规则ID")
    private Integer roleId;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String detailName;

    /** 规则内容 */
    @Excel(name = "规则内容")
    private String detailContent;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setRoleId(Integer roleId) 
    {
        this.roleId = roleId;
    }

    public Integer getRoleId() 
    {
        return roleId;
    }
    public void setDetailName(String detailName) 
    {
        this.detailName = detailName;
    }

    public String getDetailName() 
    {
        return detailName;
    }
    public void setDetailContent(String detailContent) 
    {
        this.detailContent = detailContent;
    }

    public String getDetailContent() 
    {
        return detailContent;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("roleId", getRoleId())
            .append("detailName", getDetailName())
            .append("detailContent", getDetailContent())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
